Subject: 8-bit newsposting doesn't work!

From: Juha Suhonen <[email-masked]>
Date: Thu, 4 Jul 1996 19:19:56 +0300 (EET DST)

I'm using pine on Linux, and on various occasions I notice, that my
newsposting are still using MIME-QuotedUnReadable, when I have enabled
8bit-news-posting. Pine 3.94. :?

JuhaS

---

From: Terry Gray <[email-masked]>
Date: Thu, 4 Jul 1996 14:17:14 -0700 (PDT)

Yup, that feature accidentally got broken in 3.94... it'll be fixed in
3.95, which will be Real Soon Now.

-teg

---

From: [email-masked]
Date: Fri, 5 Jul 1996 11:24:06 +0300 (EET DST)

> > 8bit-news-posting. Pine 3.94. :?

I have sent mails to this list quite a few times claiming that neither the
newsposting nor the mailposting works for 8 bits!
I have made tests many times with pine 3.94 on Solaris 2.4 and the
results in all of them where negative! This feature has never worked
correctly for 3.93, 3.92 versions either.

Please pine-team, keep this serious bug (at least for us the foreigners!)
in mind when preparing for 3.95.

Thank you,

           ------------------------------------------------------
           | Panos Dimakopoulos             [email-masked]      |
           | COMPUTER TECHNOLOGY INSTITUTE                      |
           | P.O. Box 1122                                      |
           | 261 10 Patras, Greece                              |
           | Tel (+30) 61 992061, 994317    Fax (+30) 61 993973 |
           ------------------------------------------------------

---

From: [email-masked] (Jungshik Shin)
Date: 9 Jul 1996 07:46:47 GMT

[email-masked] wrote:
: 
: I have sent mails to this list quite a few times claiming that neither the
: newsposting nor the mailposting works for 8 bits!
: I have made tests many times with pine 3.94 on Solaris 2.4 and the
: results in all of them where negative! This feature has never worked
: correctly for 3.93, 3.92 versions either.

  I guess that's because Pine doesn't get affirmative answer from STMP
server that it can speak ESMPT and support 8BITMIME. You may
as well have paid attention to the word "negotiation"  in 
'enable 8bit esmtp negotiation'. It's not 'enforce 8bit esmtp'
but 'enable ...negotiation'.  

Pine rather strictly follows ESMTP negotiation protocol specified in RFC
1651 and 1652 and falls back to QP/Base64 if SMTP server it talks to
doesn't follow RFC 1651/1652 although the SMTP server in question does
speak ESMTP. For instance, sendmail 8.7.5 is compliant to RFC 1651/1652
and Pine has no problem with sending 8BITMIME while sendmail 8.6.12
doesn't follow RFC 1651/1652 and Pine encodes outgoing message after
getting negative(or rather non-positive) answer from sendmail 8.6.12 
although sendmail 8.6.12 can speak ESMTP.

  Related question is what happens if MTA on sending site speaks ESMTP
and supports 8BITMIME while MTA on receiving site supports ESMTP but
doesn't comform to RFC 1651/1652.  On my Linux, sendmail 8.7.5 is
installed and Pine sends out 8BITMIME message as it can get positive
answer from sendmail 8.7.5. Now, ball is handed over to sendmail 8.7.5
and it seems like sendmail 8.7.5(client SMTP) on my Linux encodes
outgoing 8bit mesg. in QP/Base64 after failing to get positive answer
from receiving side MTA(server SMTP?). Reading RFC 1651/1652, I'm almost
sure this is what happens, but it would be nice to be assured of this.

   Thanks in advance,  

   Jungshik

---

From: [email-masked] (Jungshik Shin)
Date: 9 Jul 1996 08:03:12 GMT

[email-masked] wrote:
: 

  Related question is what happens if MTA on sending site speaks ESMTP
and supports 8BITMIME while MTA on receiving site supports ESMTP but
doesn't comform to RFC 1651/1652.  On my Linux, sendmail 8.7.5 is
installed and Pine sends out 8BITMIME message as it can get positive
answer from sendmail 8.7.5. Now, 8BITMIME message is handed over to
sendmail 8.7.5 and it seems like sendmail 8.7.5(client SMTP) on my Linux
encodes outgoing 8bit mesg. in QP/Base64 after failing to get positive
answer from receiving side MTA(server SMTP?). Reading RFC 1651/1652, I'm
almost sure this is what happens, but it would be nice to be assured of
this.

   Thanks in advance,  

   Jungshik

---

From: [email-masked]
Date: Tue, 9 Jul 1996 11:31:31 +0300 (EET DST)

> sure this is what happens, but it would be nice to be assured of this.

Ok, your explanation is very good, however my tests were on systems
which definitely support esmtp negotiation (ESMTP Sendmail 8.7.4
is installed with EHLO being one of the commands it recognises).
I can very well recall when we were installing that and doing various
checks (mainly with Mail -v -- -v for verbose report on the
negotiation) that we could see the two machines talking in ESMTP.

Thus, I strongly believe that the problem is inside pine which
cannot understand that 8 bit posting is feasible!

Thank you,

---

From: Terry Gray <[email-masked]>
Date: Tue, 9 Jul 1996 08:02:14 -0700 (PDT)

> cannot understand that 8 bit posting is feasible!

Pan,
You keep asserting that Pine is incapable of 8BITMIME negotiation, yet
others on this list have reported that it works for them.  If there is in
fact a bug that is preventing the negotiation from happening in some
situations, we'd really like some more data to track it down, but so far
we don't have anything to go on.

Note that ESMTP capability does not necessarily imply 8BITMIME capability
on the part of the MTA... 8BITMIME is just one possible option that might
be negotiated using the ESMTP framework.  Note also as Jungshik Shin
mentioned that a subsequent MTA could downgrade the message to 7bit.

-teg

---

From: [email-masked]
Date: Wed, 10 Jul 1996 12:09:32 +0300 (EET DST)

> mentioned that a subsequent MTA could downgrade the message to 7bit.

I am sorry to be the only one who keeps moaning about this capability.
I hope I am not doing anything wrong.

Well, following is the description of one of my many tests where
8 bit posting proves unsuccessful.
I am posting a mail message with greek characters both in the body
and in the subject.
The posting is done from host hermes.cti.gr to [email-masked].
In the first case I send the mail with the simple command "Mail -v"
and I have included its output later on. The mail arrives in 8 bits!
Afterwards I do the posting with pine 3.94 where the enable 8 bit posting
setting is on as it can be seen from the debug file I have included.
In that case the message arrives completely in MIME (QP). Actually
the message content is almost the same in both cases.
I also include the output of port 25 on both systems so that you see
the exact sendmail version.

dimakop@hermes> telnet hermes 25
Trying 150.140.7.30 ...
Connected to hermes.cti.gr.
Escape character is '^]'.
220 hermes.cti.gr ESMTP Sendmail 8.7.4/8.7.3; Wed, 10 Jul 1996 11:43:45 +0300 (E
ET DST)

-----------------------------------------------------------------

dimakop@hermes> telnet thalis.ceid.upatras.gr 25
Trying 150.140.5.34 ...
Connected to thalis.ceid.upatras.gr.
Escape character is '^]'.
220 thalis.ceid.upatras.gr ESMTP Sendmail 8.7.4/8.7.3; Wed, 10 Jul 1996 11:45:01
 +0300 (EET DST)

-----------------------------------------------------------------
dimakop@hermes> Mail -v [email-masked]
Subject: Δοκιμή με Ελληνικά με Mail -v
Γειά σας
.
EOT
dimakop@hermes> [email-masked]... Connecting to thalis.ceid.upat
ras.gr. via smtp...
220 thalis.ceid.upatras.gr ESMTP Sendmail 8.7.4/8.7.3; Wed, 10 Jul 1996 11:26:45
 +0300 (EET DST)
>>> EHLO hermes.cti.gr
250-thalis.ceid.upatras.gr Hello hermes.cti.gr [150.140.7.30], pleased to meet y
ou
250-EXPN
250-8BITMIME
250-SIZE
250-DSN
250-VERB
250-ONEX
250 HELP
>>> MAIL From:<[email-masked]> SIZE=102
250 <[email-masked]>... Sender ok
>>> RCPT To:<[email-masked]>
250 Recipient ok
>>> DATA
354 Enter mail, end with "." on a line by itself
>>> .
250 LAA28969 Message accepted for delivery
[email-masked]... Sent (LAA28969 Message accepted for delivery)
Closing connection to thalis.ceid.upatras.gr.
>>> QUIT
221 thalis.ceid.upatras.gr closing connection

-----------------------------------------------------------------

Checking the mailbox of user dimakop on thalis we see the mail to have
been received in 8 bits as follows:

-----------------------------------------------------------------
From [email-masked] Wed Jul 10 11:26 EET 1996
Received: from hermes.cti.gr (hermes.cti.gr [150.140.7.30]) by thalis.ceid.upatr
as.gr (8.7.4/8.7.3) with ESMTP id LAA28969 for <[email-masked]>;
 Wed, 10 Jul 1996 11:26:45 +0300 (EET DST)
Received: (from dimakop@localhost) by hermes.cti.gr (8.7.4/8.7.3) id LAA11417 fo
r [email-masked]; Wed, 10 Jul 1996 11:26:29 +0300 (EET DST)
Date: Wed, 10 Jul 1996 11:26:29 +0300 (EET DST)
From: Dimakopoulos Panagiotis <[email-masked]>
Message-Id: <[email-masked]>
Organization: Computer Technology Institute - (CTI)
              Kolokotroni 3, 262 21 Patras, P.O.Box 1122, 261 10 Patras, Greece
              Tel: +30(61)992061, 994317-18 Fax: +30(61)993973, 222086
              TELEX: 312515 CTI GR
To: [email-masked]
Subject: Δοκιμή με Ελληνικά με Mail -v
Content-Type: text
Content-Length: 9

Γειά σας

END OF THE MAIL
-----------------------------------------------------------------

Sending mail with pine3.94.

  PINE 3.94   COMPOSE MESSAGE                     Folder: INBOX  306 Messages

To      : [email-masked]
Cc      :
Attchmnt:
Subject : Δοκιμή με Ελληνικά 8bits
----- Message Text -----
Γειά σας

-----------------------------------------------------------------

Checking the mailbox of user dimakop on thalis we see that the mail
has NOT been received in 8 bits as follows:

-----------------------------------------------------------------

From [email-masked] Wed Jul 10 11:35 EET 1996
Received: from hermes.cti.gr (hermes.cti.gr [150.140.7.30]) by thalis.ceid.upatr
as.gr (8.7.4/8.7.3) with ESMTP id LAA29004 for <[email-masked]>;
 Wed, 10 Jul 1996 11:35:38 +0300 (EET DST)
Received: (from dimakop@localhost) by hermes.cti.gr (8.7.4/8.7.3) id LAA11699; W
ed, 10 Jul 1996 11:35:21 +0300 (EET DST)
              Kolokotroni 3, 262 21 Patras, P.O.Box 1122, 261 10 Patras, Greece
              Tel: +30(61)992061, 994317-18 Fax: +30(61)993973, 222086
              TELEX: 312515 CTI GR
From: [email-masked]
Organization: Computer Technology Institute - (CTI)
              Kolokotroni 3, 262 21 Patras, P.O.Box 1122, 261 10 Patras, Greece
              Tel: +30(61)992061, 994317-18 Fax: +30(61)993973, 222086
              TELEX: 312515 CTI GR
Date: Wed, 10 Jul 1996 11:35:20 +0300 (EET DST)
To: [email-masked]
Subject: Δοκιμή με Ελληνικά 8bits
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Transfer-Encoding: QUOTED-PRINTABLE
Content-Type: TEXT/PLAIN; charset=ISO-8859-7
Content-Length: 24

=C3=E5=E9=DC =F3=E1=F2

-----------------------------------------------------------------

The debug output from pine (level 5) is the following:

-----------------------------------------------------------------

Debug output of the Pine program (at debug level 5).  Version 3.94
Wed Jul 10 11:33:47 1996

reading_pinerc "/usr/local/lib/pine.conf"
Read 3072 characters:
          user-domain : cti.gr
          nntp-server : news.cti.gr
     news-collections : "Local Bulletins & Usenet News" *{news.cti.gr/nntp}[]
       signature-file : .signature
   folder-collections : Personal-folders Mail/[]
             sort-key : Arrival
         image-viewer : /usr/local/bin/xv
              printer : lpr -Pcca_iiisi
 personal-print-comma : lpr -Pcca_iiisi
reading_pinerc "/users/u1/staff/dimakop/.pinerc"
Read 11933 characters:
          smtp-server : hermes.cti.gr
         feature-list : enable-newmail-in-xterm-icon
                      : show-selected-in-boldface
                      : select-without-confirm
                      : enable-aggregate-command-set
                      : enable-8bit-esmtp-negotiation
             sort-key : Arrival
        character-set : ISO-8859-7
 last-time-prune-ques : 96.7
    last-version-used : 3.94
   folder-collections : Personal-folders Mail/[]
                      : "Pine List" *{ftp.cac.washington.edu/anonymous}pine/pine-info/[]
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Read 10193 characters:
         feature-list : signature-at-bottom
                      : enable-mail-check-cue
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-unix-pipe-cmd
                      : enable-full-header-cmd
                      : enable-8bit-nntp-posting
        sendmail-path : /usr/lib/sendmail -oem -t -oi
        character-set : ISO-8859-7
======= Current_val options set =======
          user-domain : cti.gr
          smtp-server : hermes.cti.gr
          nntp-server : news.cti.gr
           inbox-path : inbox
   folder-collections : Personal-folders Mail/[]
                      : "Pine List" *{ftp.cac.washington.edu/anonymous}pine/pine-info/[]
     news-collections : "Local Bulletins & Usenet News" *{news.cti.gr/nntp}[]
          default-fcc : ""
 default-saved-msg-fo : saved-messages
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
         feature-list : enable-newmail-in-xterm-icon
                      : show-selected-in-boldface
                      : select-without-confirm
                      : enable-aggregate-command-set
                      : enable-8bit-esmtp-negotiation
                      : signature-at-bottom
                      : enable-mail-check-cue
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-unix-pipe-cmd
                      : enable-full-header-cmd
                      : enable-8bit-nntp-posting
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : Arrival
   addrbook-sort-rule : fullname-with-lists-last
        character-set : ISO-8859-7
 compos  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-fcc-on-bounce
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-pass-control-characters-as-is
  no-preserve-start-stop-characters
  no-print-offers-custom-cmd-prompt
  no-print-includes-from-line
  no-print-index-enabled
  no-print-formfeed-between-messages
  no-quell-dead-letter-on-cancel
  no-quell-lock-failure-warnings
  no-quell-status-message-beeping
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-reply-always-uses-reply-to
  no-save-aggregates-copy-sequence
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
     select-without-confirm
  no-show-cursor
     show-selected-in-boldface
     signature-at-bottom
  no-single-column-folder-list
  no-tab-visits-next-new-message-only
  no-use-current-dir
  no-use-function-keys
  no-use-sender-not-x-sender
  no-use-subshell-for-suspend
Userid: dimakop
Fullname: ""
User domain name being used "cti.gr"
Local Domain name being used "cti.gr"
Host name being used "hermes.cti.gr"
Mail Domain name being used (by c-client too)"cti.gr"
---- write_pinerc ----
Context Mail/[] type: LOCAL
ioctl(TIOCWINSZ) failed :Invalid argument
Terminal type: vt220
Context Mail/[] type: LOCAL
Context *{ftp.cac.washington.edu/anonymous}pine/pine-info/[] type: REMOTE BBOARD ANON
Context *{news.cti.gr/nntp}[] type: REMOTE BBOARD OLDTECH
About to open folder "INBOX"    inbox: "INBOX"
=== mm_exists(306,/var/mail/dimakop) called ===
Opened folder "/var/mail/dimakop" with 306 messages
Sorting by Arrival
First unseen returning 39
==== expire_mail called ====
IMAP 11:33:54 7/10 mm_log babble: Find of mailbox outside context: /users/u1/staff/dimakop/.pine-interrupted-mail
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----
- mailcap_free -

    ---- COMPOSE SCREEN (not in pico yet) ----
IMAP 11:33:59 7/10 mm_log babble: Find of mailbox outside context: /users/u1/staff/dimakop/.pine-interrupted-mail
====== context_mailbox: (Mail/postponed-msgs)
Want_to read: n (110)

=== send called ===

  ---- COMPOSER ----
- build_address - ([email-masked])
-- init_addrbooks(Closed, 0, 0, 1) --
- adrbk_open(/users/u1/staff/dimakop/.addressbook) -
Address book .addressbook (/users/u1/staff/dimakop/.addressbook) opened with 11 items
- adrbk_lookup_by_addr([email-masked]) (in /users/u1/staff/dimakop/.addressbook) -
- build_address - ()
ioctl(TIOCWINSZ) failed :Invalid argument
Want_to read: y (121)
... composer returns (0x5)
ioctl(TIOCWINSZ) failed :Invalid argument
-- pine_encode_body: 0
=== sending: Sending mail...
call_mailer via cmd: /usr/lib/sendmail -oem -t -oi
=== mta_parse_post(/usr/lib/sendmail -oem -t -oi) ===
Opening pipe: "/usr/lib/sendmail -oem -t -oi" (WNP)
PID: 11699, COMMAND: /usr/lib/sendmail -oem -t -oi
-- pine_rfc822_output
-- pine_encode_body: 0
-- pine_rfc822_output_body: 0
-- pine_rfc822_output_body: segment 9 bytes
-- gf_pipe: done.
=== send returning ===
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----

    ---- QUIT SCREEN ----
Want_to read: y (121)
expunge and close mail stream "/var/mail/dimakop"
about to end_tty_driver
end_signals(0)
- completely_done_with_adrbks -
- mailcap_free -

-----------------------------------------------------------------

Finally, if this helps, I sent a mail from thalis.ceid.upatras.gr to
[email-masked] with "Mail -v [email-masked]"
which also arrivved correctly in 8 bits.
Following is the output of the Mail -v command and later on is the
form of that message received in the mail box of [email-masked].

-----------------------------------------------------------------

thalis>Mail -v [email-masked]
Subject: Δοκιμή από thalis
Γειά σας ξανά
.
EOT
thalis>[email-masked]... Connecting to hermes.cti.gr. via smtp...
220 hermes.cti.gr ESMTP Sendmail 8.7.4/8.7.3; Wed, 10 Jul 1996 11:53:15 +0300 (E
ET DST)
>>> EHLO thalis.ceid.upatras.gr
250-hermes.cti.gr Hello thalis.ceid.upatras.gr [150.140.5.34], pleased to meet y
ou
250-EXPN
250-8BITMIME
250-SIZE
250-DSN
250-VERB
250-ONEX
250 HELP
>>> MAIL From:<[email-masked]> SIZE=87
250 <[email-masked]>... Sender ok
>>> RCPT To:<[email-masked]>
250 Recipient ok
>>> DATA
354 Enter mail, end with "." on a line by itself
>>> .
250 LAA11995 Message accepted for delivery
[email-masked]... Sent (LAA11995 Message accepted for delivery)
Closing connection to hermes.cti.gr.
>>> QUIT
221 hermes.cti.gr closing connection

thalis>

-----------------------------------------------------------------
From [email-masked] Wed Jul 10 11:53 EET 1996
Received: from thalis.ceid.upatras.gr (thalis.ceid.upatras.gr [150.140.5.34]) by
 hermes.cti.gr (8.7.4/8.7.3) with ESMTP id LAA11995 for <[email-masked]>;
 Wed, 10 Jul 1996 11:53:15 +0300 (EET DST)
              Kolokotroni 3, 262 21 Patras, P.O.Box 1122, 261 10 Patras, Greece
              Tel: +30(61)992061, 994317-18 Fax: +30(61)993973, 222086
              TELEX: 312515 CTI GR
Received: (from dimakop@localhost) by thalis.ceid.upatras.gr (8.7.4/8.7.3) id LA
A29379 for [email-masked]; Wed, 10 Jul 1996 11:53:29 +0300 (EET DST)
Organization: Computer Technology Institute - (CTI)
              Kolokotroni 3, 262 21 Patras, P.O.Box 1122, 261 10 Patras, Greece
              Tel: +30(61)992061, 994317-18 Fax: +30(61)993973, 222086
              TELEX: 312515 CTI GR
Date: Wed, 10 Jul 1996 11:53:29 +0300 (EET DST)
From: Dimakopoulos Panos <[email-masked]>
Message-Id: <[email-masked]>
To: [email-masked]
Subject: Δοκιμή από thalis
Content-Type: text
Content-Length: 14

Γειά σας ξανά

-----------------------------------------------------------------

---

From: Leif Erlingsson <[email-masked]>
Date: Wed, 10 Jul 1996 10:53:46 +0200

On 9 Jul 1996, Jungshik Shin wrote:

> Now, 8BITMIME message is handed over to

This is configurable in the m4 source for sendmail.cf ....

define(`confSMTP_MAILER', `smtp8')dnl
define(`SMART_HOST', `smtp8:mailbox.swip.net')dnl

My /usr/site/mail/cf/mailer/smtp.m4 Msmtp8 definition looks like so...
Msmtp8,		P=[IPC], F=CONCAT(mDFMuX8, SMTP_MAILER_FLAGS), S=11/31, R=ifdef(`_ALL_MASQUERADE_', `21/31', `21'), E=\r\n, L=990,
		_OPTINS(`SMTP_MAILER_MAX', `M=', `, ')_OPTINS(`SMTP_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,
		A=SMTP8_MAILER_ARGS

But this is standard from sendmail-8.7.5, so it shouldn't need to be 
touched!

If You are lazy, it's the `8' in the mailer flags (mDFMuX8) that `does 
it'. You can dedit Your standard smtp mailer directly in /etc/sendmail.cf
and enter that `8' there:

Msmtp,		P=[IPC], F=mDFMuX8e, S=11/31, R=21, E=\r\n, L=990,
		T=DNS/RFC822/SMTP,
		A=IPC $h

The drawback of following these instructions is that the ESMTP negotiation
protocol will be broken. We will ALWAYS send just 8. The CORRECT WAY of
doing it is to set up with mailertables a list of known 8bit hosts, and use
the smtp8 mailer ONLY WITH THOSE HOSTS!

-- Leif Erlingsson http://www.geocities.com/RodeoDrive/1998 +46 8 604 0995
   Stockholm, Sweden, Tellus, Milky Way, Gods Universe.

PS: I do work for money! Need any practical assistance? I can log in over 
the internet and fix things for You ... I know virtual domains, procmail,
reverse aliasing, the works! I also plan to patch Pine to have a feature
that makes it send 8BITMIME even when sendmail is called on the command
line.

---

From: [email-masked]
Date: Thu, 11 Jul 1996 10:55:29 +0300 (EET DST)

On Wed, 10 Jul 1996, Leif Erlingsson wrote:

>[...]

In my case where 8 bit posting does not work with pine I have set this
8 in the mailer flags in file sendmail.cf.

Actually this is as follows:

Msmtp,		P=[IPC], F=mDFMuX8, S=11/31, R=21, E=\r\n, L=990,
		T=DNS/RFC822/SMTP,
		A=IPC $h, C=iso-8859-7
Mesmtp,		P=[IPC], F=mDFMuXa8, S=11/31, R=21, E=\r\n, L=990,
		T=DNS/RFC822/SMTP,
		A=IPC $h, C=iso-8859-7
Msmtp8,		P=[IPC], F=mDFMuX8, S=11/31, R=21, E=\r\n, L=990,
		T=DNS/RFC822/SMTP,
		A=IPC $h, C=iso-8859-7
Mrelay,		P=[IPC], F=mDFMuXa8, S=11/31, R=61, E=\r\n, L=2040,
		T=DNS/RFC822/SMTP,
		A=IPC $h, C=iso-8859-7

However when I send mail with the simple "Mail -v <user>@<host>"
command 8 bits are transferred accross - which means that my
sendmail configuration allows 8 bit negotiation.

Thanks,

---

From: Vladimír Solnický {Vladimir Solnicky} <[email-masked]>
Date: Thu, 11 Jul 1996 10:54:08 +0200 (METDST)

> the smtp8 mailer ONLY WITH THOSE HOSTS!

Well, I am trying to make a mailertable work (sendmail 8.7.5) for a really
long time. My UserDB works, but my mailertable does not. I tried all
possible db methods. Format of mailertable is like the following:

.gr			smtp8:%1.gr
muni.cz			smtp8:muni.cz
uivt1.uivt.cas.cz	smtp8:uivt1.uivt.cas.cz

Do you see anything wrong? If anyone can help me, I will appreciated it
very much!

Thank in advance,

V. S.

Vladimír Solnický, ÚTIA AV ČR, Pod vodárenskou věží 4,
182 08 Praha 8-Libeň, +42 2 6605/2364, telefax: +42 2 6884677,
[email-masked], http://www.utia.cas.cz/user_data/vs/vs-home-cz.html

---

From: Vladimír Solnický {Vladimir Solnicky} <[email-masked]>
Date: Thu, 11 Jul 1996 11:26:04 +0200 (METDST)

Answering myself ...  :-( :-)

> possible db methods. Format of mailertable is like the following:

Now it works. I did not get the idea a few months but I've got it having
sent the question to pine-info :-) The problem was that some rulesets were
commented out. I only had to find all occurences of the word mailertavble
and uncommented those rulesets. And now it works. I included well-known
8bit-clean domains (.su, .ru, .gr) into it and I hope everything is OK
even for non-8BITMIME SMTP servers there.

Sorry for asking you. Regards, V. S.

---

From: [email-masked] (Stefan Scholl)
Date: 11 Jul 1996 20:33:00 GMT

Just check the source.

Pine 3.94 has the 8-bit-support removed. It always uses
quoted-printable, even with ESMTP.

Well, it's not totally removed. You can fix it easily.

You can find a complex patch
ftp://wuff.franken.de//pub/linux/mail/

And here is a simpler patch:

*** send.c.orig	Sun Jul  7 03:45:18 1996
--- send.c	Sun Jul  7 04:15:30 1996
***************
*** 6074,6080 ****
  
  	switch (body->encoding) {	/* all else needs filtering */
  	  case ENC8BIT:			/* encode 8BIT into QUOTED-PRINTABLE */
! 	    gf_link_filter(gf_8bit_qp);
  	    break;
  
  	  case ENCBINARY:		/* encode binary into BASE64 */
--- 6074,6080 ----
  
  	switch (body->encoding) {	/* all else needs filtering */
  	  case ENC8BIT:			/* encode 8BIT into QUOTED-PRINTABLE */
! 
  	    break;
  
  	  case ENCBINARY:		/* encode binary into BASE64 */
***************
*** 6131,6142 ****
      strcpy (*dst += strlen (*dst),"\015\012");
      if (body->encoding)		/* note: encoding 7BIT never output! */
        sprintf (*dst += strlen (*dst), "Content-Transfer-Encoding: %s\015\012",
! 	       body_encodings[(body->encoding == ENCBINARY)
! 				? ENCBASE64
! 				: (body->encoding == ENC8BIT)
! 				    ? ENCQUOTEDPRINTABLE
! 				    : (body->encoding <= ENCMAX)
! 					? body->encoding : ENCOTHER]);
      if (body->id) sprintf (*dst += strlen (*dst),"Content-ID: %s\015\012",
  			   body->id);
      if (body->description)
--- 6131,6141 ----
      strcpy (*dst += strlen (*dst),"\015\012");
      if (body->encoding)		/* note: encoding 7BIT never output! */
        sprintf (*dst += strlen (*dst), "Content-Transfer-Encoding: %s\015\012",
!                body_encodings[body->encoding == ENCBINARY ? ENCBASE64 :
!                               body->encoding == ENC8BIT   ? ENC8BIT :
!                               body->encoding <= ENCMAX ? body->encoding :
!                               ENCOTHER]);
!    
      if (body->id) sprintf (*dst += strlen (*dst),"Content-ID: %s\015\012",
  			   body->id);
      if (body->description)

---

From: Juha Suhonen <[email-masked]>
Date: Fri, 12 Jul 1996 10:50:27 +0300 (EET DST)

On 11 Jul 1996, Stefan Scholl wrote:

> Date: 11 Jul 1996 20:33:00 GMT
> From: Stefan Scholl <[email-masked]>
> To: [email-masked]
> Subject: Re: 8-bit newsposting doesn't work!
> 

> And here is a simpler patch:

Applied your simpler patch, haven't tested it yet. But _why_ was it
removed?

JuhaS

---

From: <[email-masked]>
Date: Fri, 12 Jul 1996 11:36:52 +0300

On Thu, 11 Jul 1996, David L Miller wrote:

>
> On 10 Jul 1996 [email-masked] wrote:
>
> Looking at the configuration information in your debug output, I see
> the problem...
>
> ...
>                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> As noted in the Pine technical notes, setting sendmail-path in
> pine.conf.fixed overrides all other sendmail-path/smtp-server
> settings.  It also _disables_ ESMTP negotiation, since there is no way
> to perform such negotiation when invoking sendmail with "-t"....
>
> I hope that clears things up a bit!
>
> --DLM
>
> |\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
> |/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
> University of Washington, Networks & Distributed Computing, Box 354841
> 4545 15th Ave NE, Seattle WA 98105, USA
>
>

Thank you for your comments.
I followed your suggestion and I send a mail message with
enable-8bit-esmtp-negotiation and without any sendmail fixed path in
any of the configuration files. Now I got 8 bits passed through but
for the body only - the subject arrived encoded in MIME.
I am including the message as it is kept in the mail box in the
arriving host and the debug output of pine -d 9.

(The direction of my mailing now is the other way round compared to
the previous test I sent to the pine list yesterday. Now the mail
was sent from [email-masked] to [email-masked])

-------------------------------------------------------------------------
Message in INBOX file:

---

From: Andrej Borsenkow <[email-masked]>
Date: Fri, 12 Jul 1996 16:49:12 +0400 (MOW)

On Fri, 12 Jul 1996 [email-masked] wrote:

[ ... snipped ... ]

> for the body only - the subject arrived encoded in MIME.
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> arriving host and the debug output of pine -d 9.

For all that I know, 8 bit in headers is not allowed at all. It has
nothing to do with ESMTP, which governs only body of message. So, Pine is
quite correct on that matter.

Or am I wrong?

-------------------------------------------------------------------------
Andrej Borsenkow 		Fax:   +7 (095) 252 01 05
SNI ITS Moscow			Tel:   +7 (095) 252 13 88

NERV:  borsenkow.msk		E-Mail: [email-masked]
-------------------------------------------------------------------------

---

From: David L Miller <[email-masked]>
Date: Fri, 12 Jul 1996 09:12:49 -0700

> arriving host and the debug output of pine -d 9.

The 8BITMIME ESMTP option only applies to message body parts.  The
headers are still required to be 7bit clean.  Pine therefore encodes
them according to RFC1522....

---

From: Paul O Bartlett <[email-masked]>
Date: Fri, 12 Jul 1996 21:32:35 -0400

> them according to RFC1522.... 

    Does this mean that ISO-8859-1 8-bit letters are forbidden in the
Subject: line?  I participate in some language-oriented mailings lists
in which Latin-1 text is not unusual.

Paul                             <[email-masked]>
----------------------------------------------------------
Paul O. Bartlett, P.O. Box 857, Vienna, VA 22183-0857, USA
Finger, keyserver, or WWW for PGP 2.6.2 public key 
Home Page:  URL: http://www.access.digex.net/~pobart

---

From: Vladimír Solnický {Vladimir Solnicky} <[email-masked]>
Date: Tue, 16 Jul 1996 17:51:36 +0200 (METDST)

> in which Latin-1 text is not unusual.

As far as I know RFC 822 (or 821?) requires 7-bit characters in all parts
of messages and RFC 1521 (MIME 1) allows 8-bit characters only in body if
Content-Transfer-Encoding: and appeoprite mail transport mechanism
(8BITMIME ESMTP extension) is used. 8-bit characxters in headers (for
example in Subject:) thus have to be encoded into seven bits as described
in RFC 1522 (MIME, part 2). The result you can see in my From: line (in
pine you have to use full header mode to see it).

Regards,

V. S.